LMS API Documentation v23.11.0

Loading...
Searching...
No Matches
Typedefs | Functions
Initialization/deinitialization

## Typedefs
typedef void | lms_device_t
| LMS Device handle.
typedef char | lms_info_str_t[256]
| Convenience type for fixed length LMS Device information string.

## Functions
API_EXPORT int CALL_CONV | LMS_GetDeviceList (lms_info_str_t *dev_list)
API_EXPORT int CALL_CONV | LMS_Open (lms_device_t **device, const lms_info_str_t info, void *args)
API_EXPORT int CALL_CONV | LMS_Close (lms_device_t *device)

## Detailed Description

The functions in this section provide the ability to query available devices, initialize them, and deinitialize them.

## Typedef Documentation

## ◆ lms_device_t

typedef void lms_device_t

LMS Device handle.

Definition at line 75 of file LimeSuite.h.

## ◆ lms_info_str_t

typedef char lms_info_str_t[256]

Convenience type for fixed length LMS Device information string.

Definition at line 78 of file LimeSuite.h.

## Function Documentation

## ◆ LMS_Close()

API_EXPORT int CALL_CONV LMS_Close | ( | lms_device_t * | device | ) |

Close device

Postcondition
  device is deallocated and may no longer be used.

Parameters

  device | Device handle previously obtained by LMS_Open().

Returns
  0 on success, (-1) on failure

## ◆ LMS_GetDeviceList()

API_EXPORT int CALL_CONV LMS_GetDeviceList | ( | lms_info_str_t * | dev_list | ) |

Obtain a list of LMS devices attached to the system

Parameters

  [out] | dev_list | List of available devices

Returns
  number of devices in the list on success, (-1) on failure

## ◆ LMS_Open()

API_EXPORT int CALL_CONV LMS_Open | ( | lms_device_t ** | device,
|  | const lms_info_str_t | info,
|  | void * | args )

Opens device specified by the provided lms_info_str_t string This function should be used to open a device based upon the results of LMS_GetDeviceList()

Precondition
  device should be initialized to NULL

Parameters

  [out] | device | Updated with device handle on success
  [in] | info | Device information string. If NULL, the first available device will be opened.
  [in] | args | additional arguments. Can be NULL.

Returns
  0 on success, (-1) on failure